
QGIS Application - Bug report #17562

WMS legend broken for percent-encoded LegendURL's

2017-11-27 11:19 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25459

Description

Some WMS services, eg:

http://gisservices.noord-holland.nl/ags/services/pnh_dataservice_alg/MapServer/WMSServer?request=GetCapabilities&#38;service=W

S

have their (valid) LegendURL's percentage-encoded in the capabilities, eg:

http://gisservices.noord-holland.nl/ags/services/pnh_dataservice_alg/MapServer/WmsServer?request=GetLegendGraphic%26version=

.3.0%26format=image/png%26layer=Bouwen op slappe grond - Damwand complexiteit

While this was working in 2.18/qt4, this returns a 'flawed image' in 2.99 because QGIS adds a second &FORMAT=image/png to the url,

while the server can apparently only handle one.

I'll add a Pull Request to fix this.

Associated revisions

Revision f6ffb00c - 2017-11-30 10:03 AM - Richard Duivenvoorde

fix #17562 broken legend uris

History

#1 - 2017-11-27 12:24 PM - Richard Duivenvoorde

This is apparently an ArcGis server: http://gisservices.noord-holland.nl/ags/services/pnh_dataservice_alg/MapServer/

#2 - 2017-11-27 01:35 PM - Richard Duivenvoorde

see https://github.com/qgis/QGIS/pull/5739

#3 - 2017-11-30 10:02 AM - Richard Duivenvoorde

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f6ffb00c9f0c6e39aed5c7714769e931f02c458a.
#4 - 2017-11-30 04:30 PM - Giovanni Manghi

- Resolution set to fixed/implemented
